import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { UserMembersQueryBuilder } from './index.typings.mjs';
export { ActionEvent, ActivityStatusStatus, Asset, CursorPaging, CursorPagingMetadata, CursorQuery, CursorQueryPagingMethodOneOf, Cursors, DeleteContext, DeleteStatus, DomainEvent, DomainEventBodyOneOf, Empty, EntityCreatedEvent, EntityDeletedEvent, EntityUpdatedEvent, Image, MetaSiteSpecialEvent, MetaSiteSpecialEventPayloadOneOf, Namespace, NamespaceChanged, OdeditorAssigned, OdeditorUnassigned, PicassoAssigned, PicassoUnassigned, PrivacyStatusStatus, QueryUserMembersRequest, QueryUserMembersResponse, RestoreInfo, ServiceProvisioned, ServiceRemoved, SiteCreated, SiteCreatedContext, SiteDeleted, SiteHardDeleted, SiteMarkedAsTemplate, SiteMarkedAsWixSite, SitePublished, SitePurgedExternally, SiteRenamed, SiteTransferred, SiteUndeleted, SiteUnpublished, SiteUrlChanged, SortOrder, Sorting, State, Status, StudioAssigned, StudioUnassigned, UserMember, UserMembersQueryResult } from './index.typings.mjs';

declare function queryUserMembers$1(httpClient: HttpClient): QueryUserMembersSignature;
interface QueryUserMembersSignature {
    /**
     * Creates a query to retrieve a list of user members.
     *
     * The `queryUserMembers()` method builds a query to retrieve a list of user members and returns a [`UserMembersQueryBuilder`](https://dev.wix.com/docs/sdk/backend-modules/members/user-member/user-members-query-builder/ascending) object.
     *
     * The returned object contains the query definition, which is typically used to run the query using the [`find()`](https://dev.wix.com/docs/sdk/backend-modules/members/user-member/user-members-query-builder/find) method.
     *
     * You can refine the query by chaining `UserMembersQueryBuilder` methods onto the query. `UserMembersQueryBuilder` methods enable you to sort, filter, and control the results `queryUserMembers()` returns.
     *
     * `queryUserMembers()` runs with these `UserMembersQueryBuilder` defaults, which you can override:
     *
     * - [`limit(50)`](https://dev.wix.com/docs/sdk/backend-modules/members/user-member/user-members-query-builder/limit)
     */
    (): UserMembersQueryBuilder;
}

declare const queryUserMembers: MaybeContext<BuildRESTFunction<typeof queryUserMembers$1> & typeof queryUserMembers$1>;

export { UserMembersQueryBuilder, queryUserMembers };
